package com.diagbot.entity;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author zhoutg
 * @time: 2024-08-04
 */
public class MedPacsResult implements Serializable {

    private static final long serialVersionUID = 1L;

    /**
     * 报告单号
     */
    private String repNo;

    /**
     * 医院ID
     */
    private Long hospitalId;

    /**
     * 住院病人ID
     */
    private String behospitalCode;

    /**
     * 报告名称
     */
    private String reptName;

    /**
     * 检查部位
     */
    private String part;

    /**
     * 检查所见
     */
    private String clinicSight;

    /**
     * 检查结果诊断
     */
    private String reptDiag;

    /**
     * 观察记录
     */
    private String remark;

    /**
     * 临床诊断
     */
    private String clinicDiag;

    /**
     * 申请医生
     */
    private String applyDoctor;

    /**
     * 审核医生
     */
    private String checkerDoctor;

    /**
     * 报告医生
     */
    private String reportDoctor;

    /**
     * 科室名称
     */
    private String deptName;

    /**
     * 是否删除,N:未删除，Y:删除
     */
    private String isDeleted;

    /**
     * 记录创建时间
     */
    private Date gmtCreate;

    /**
     * 记录修改时间,如果时间是1970年则表示纪录未修改
     */
    private Date gmtModified;

    /**
     * 创建人，0表示无创建人值
     */
    private String creator;

    /**
     * 修改人,如果为0则表示纪录未修改
     */
    private String modifier;

    public String getRepNo() {
        return repNo;
    }

    public void setRepNo(String repNo) {
        this.repNo = repNo;
    }
    public Long getHospitalId() {
        return hospitalId;
    }

    public void setHospitalId(Long hospitalId) {
        this.hospitalId = hospitalId;
    }
    public String getBehospitalCode() {
        return behospitalCode;
    }

    public void setBehospitalCode(String behospitalCode) {
        this.behospitalCode = behospitalCode;
    }
    public String getReptName() {
        return reptName;
    }

    public void setReptName(String reptName) {
        this.reptName = reptName;
    }
    public String getPart() {
        return part;
    }

    public void setPart(String part) {
        this.part = part;
    }
    public String getClinicSight() {
        return clinicSight;
    }

    public void setClinicSight(String clinicSight) {
        this.clinicSight = clinicSight;
    }
    public String getReptDiag() {
        return reptDiag;
    }

    public void setReptDiag(String reptDiag) {
        this.reptDiag = reptDiag;
    }
    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }
    public String getClinicDiag() {
        return clinicDiag;
    }

    public void setClinicDiag(String clinicDiag) {
        this.clinicDiag = clinicDiag;
    }
    public String getApplyDoctor() {
        return applyDoctor;
    }

    public void setApplyDoctor(String applyDoctor) {
        this.applyDoctor = applyDoctor;
    }
    public String getCheckerDoctor() {
        return checkerDoctor;
    }

    public void setCheckerDoctor(String checkerDoctor) {
        this.checkerDoctor = checkerDoctor;
    }
    public String getReportDoctor() {
        return reportDoctor;
    }

    public void setReportDoctor(String reportDoctor) {
        this.reportDoctor = reportDoctor;
    }
    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public String getIsDeleted() {
        return isDeleted;
    }

    public void setIsDeleted(String isDeleted) {
        this.isDeleted = isDeleted;
    }
    public Date getGmtCreate() {
        return gmtCreate;
    }

    public void setGmtCreate(Date gmtCreate) {
        this.gmtCreate = gmtCreate;
    }
    public Date getGmtModified() {
        return gmtModified;
    }

    public void setGmtModified(Date gmtModified) {
        this.gmtModified = gmtModified;
    }
    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator;
    }
    public String getModifier() {
        return modifier;
    }

    public void setModifier(String modifier) {
        this.modifier = modifier;
    }

    @Override
    public String toString() {
        return "MedPacsResult{" +
            "repNo=" + repNo +
            ", hospitalId=" + hospitalId +
            ", behospitalCode=" + behospitalCode +
            ", reptName=" + reptName +
            ", part=" + part +
            ", clinicSight=" + clinicSight +
            ", reptDiag=" + reptDiag +
            ", remark=" + remark +
            ", clinicDiag=" + clinicDiag +
            ", applyDoctor=" + applyDoctor +
            ", checkerDoctor=" + checkerDoctor +
            ", reportDoctor=" + reportDoctor +
            ", deptName=" + deptName +
            ", isDeleted=" + isDeleted +
            ", gmtCreate=" + gmtCreate +
            ", gmtModified=" + gmtModified +
            ", creator=" + creator +
            ", modifier=" + modifier +
        "}";
    }
}
